about summary refs log tree commit diff
path: root/third_party/git/t/t2102-update-index-symlinks.sh
diff options
context:
space:
mode:
authorVincent Ambo <Vincent Ambo>2020-01-11T23·36+0000
committerVincent Ambo <Vincent Ambo>2020-01-11T23·40+0000
commit7ef0d62730840ded097b524104cc0a0904591a63 (patch)
treea670f96103667aeca4789a95d94ca0dff550c4ce /third_party/git/t/t2102-update-index-symlinks.sh
parent6a2a3007077818e24a3d56fc492ada9206a10cf0 (diff)
parent1b593e1ea4d2af0f6444d9a7788d5d99abd6fde5 (diff)
merge(third_party/git): Merge squashed git subtree at v2.23.0 r/373
Merge commit '1b593e1ea4d2af0f6444d9a7788d5d99abd6fde5' as 'third_party/git'
Diffstat (limited to 'third_party/git/t/t2102-update-index-symlinks.sh')
-rwxr-xr-xthird_party/git/t/t2102-update-index-symlinks.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/third_party/git/t/t2102-update-index-symlinks.sh b/third_party/git/t/t2102-update-index-symlinks.sh
new file mode 100755
index 000000000000..22f2c730ae8d
--- /dev/null
+++ b/third_party/git/t/t2102-update-index-symlinks.sh
@@ -0,0 +1,31 @@
+#!/bin/sh
+#
+# Copyright (c) 2007 Johannes Sixt
+#
+
+test_description='git update-index on filesystem w/o symlinks test.
+
+This tests that git update-index keeps the symbolic link property
+even if a plain file is in the working tree if core.symlinks is false.'
+
+. ./test-lib.sh
+
+test_expect_success \
+'preparation' '
+git config core.symlinks false &&
+l=$(printf file | git hash-object -t blob -w --stdin) &&
+echo "120000 $l	symlink" | git update-index --index-info'
+
+test_expect_success \
+'modify the symbolic link' '
+printf new-file > symlink &&
+git update-index symlink'
+
+test_expect_success \
+'the index entry must still be a symbolic link' '
+case "$(git ls-files --stage --cached symlink)" in
+120000" "*symlink) echo pass;;
+*) echo fail; git ls-files --stage --cached symlink; (exit 1);;
+esac'
+
+test_done